commit a936397056facfcd9b4fb7028e34037b0fcd529e
Author: mlacha <martin.lacha2@seznam.cz>
Date:   Tue May 4 14:03:16 2021 +0200

    Re #8805 - Rozložení komponent senzoru
    
    - Setting components layout in senzor graph view

diff --git a/src/app/sensor/components/sensor.component.html b/src/app/sensor/components/sensor.component.html
index f15ed03..8da01bf 100644
--- a/src/app/sensor/components/sensor.component.html
+++ b/src/app/sensor/components/sensor.component.html
@@ -1,33 +1,58 @@
 <app-nav-bar></app-nav-bar>
 
-Sensor ID {{sensorId}}
-<br>
-Unit ID {{unitId}}
-<br>
-
-<div class="col">
-  <div class="input-group form-group">
-    <div class="input-group-prepend">
-      <span class="input-group-text">From</span>
+<div class="container graph">
+  <div class="row-2">
+    <div class="col-xs-3">
+      <h5>Sensor ID {{sensorId}}</h5>
+    </div>
+    <div class="col-1"></div>
+    <div class="col-xs-3">
+      <h5>Unit ID {{unitId}}</h5>
     </div>
-    <p-calendar [style]="{'width':'100%'}" [inputStyle]="{'width':'100%'}" [(ngModel)]="from" [showTime]="true" (onSelect)="showGraph()" [maxDate]="today"></p-calendar>
+    <div class="col-1"></div>
+
   </div>
-</div>
-<div class="col">
-  <div class="input-group form-group">
-    <div class="input-group-prepend">
-      <span class="input-group-text">To</span>
+  <div class="row">
+    <div class="col-xs-3">
+      <div class="input-group form-group">
+        <div class="input-group-prepend">
+          <span class="input-group-text">From</span>
+        </div>
+        <p-calendar [style]="{'width':'100%'}" [inputStyle]="{'width':'100%'}" [(ngModel)]="from" [showTime]="true" (onSelect)="showGraph()" [maxDate]="today"></p-calendar>
+      </div>
+    </div>
+    <div class="col-1"></div>
+    <div class="col-xs-3">
+      <div class="input-group form-group">
+        <div class="input-group-prepend">
+          <span class="input-group-text">To</span>
+        </div>
+        <p-calendar [style]="{'width':'100%'}" [inputStyle]="{'width':'100%'}" [(ngModel)]="to" [showTime]="true" (onSelect)="showGraph()" [maxDate]="today"></p-calendar>
+      </div>
+    </div>
+    <div class="col-1"></div>
+    <div *ngIf="showAggregation" class="col-xs-3">
+      <div class="input-group form-group">
+        <!--<div class="input-group-prepend">
+          <span class="input-group-text">Aggregation</span>
+        </div>-->
+        <p-listbox [options]="aggregationFunction" [(ngModel)]="selectedAggregationFunction" optionLabel="name" optionValue="code" (onClick)="showGraph()" ></p-listbox>
+      </div>
     </div>
-    <p-calendar [style]="{'width':'100%'}" [inputStyle]="{'width':'100%'}" [(ngModel)]="to" [showTime]="true" (onSelect)="showGraph()" [maxDate]="today"></p-calendar>
   </div>
-</div>
-<div *ngIf="showAggregation" class="col">
-  <div class="input-group form-group">
-    <div class="input-group-prepend">
-      <span class="input-group-text">Aggregation</span>
+  <div class="row">
+    <div class="col-10">
+      <div id="view"></div>
     </div>
-    <p-listbox [options]="aggregationFunction" [(ngModel)]="selectedAggregationFunction" optionLabel="name" optionValue="code" (onClick)="showGraph()" ></p-listbox>
+    <!--<div class="col">
+      <div *ngIf="showAggregation" class="col">
+        <div class="input-group form-group">
+          <div class="input-group-prepend">
+            <span class="input-group-text">Aggregation</span>
+          </div>
+          <p-listbox [options]="aggregationFunction" [(ngModel)]="selectedAggregationFunction" optionLabel="name" optionValue="code" (onClick)="showGraph()" ></p-listbox>
+        </div>
+      </div>
+    </div>-->
   </div>
 </div>
-
-<div id="view"></div>
diff --git a/src/assets/scss/_graph.scss b/src/assets/scss/_graph.scss
new file mode 100644
index 0000000..8fefdbf
--- /dev/null
+++ b/src/assets/scss/_graph.scss
@@ -0,0 +1,4 @@
+.graph {
+  button {
+  }
+}
diff --git a/src/assets/scss/_navbar.scss b/src/assets/scss/_navbar.scss
index c43b0f7..713130d 100644
--- a/src/assets/scss/_navbar.scss
+++ b/src/assets/scss/_navbar.scss
@@ -37,3 +37,7 @@
 .navbar-logo {
   width: 200px;
 }
+
+.nav-link {
+  cursor: pointer;
+}
diff --git a/src/assets/scss/styles.scss b/src/assets/scss/styles.scss
index 7a26fa5..c13b02e 100644
--- a/src/assets/scss/styles.scss
+++ b/src/assets/scss/styles.scss
@@ -41,3 +41,4 @@
 @import "login";
 @import "navbar";
 @import "dashboard";
+@import "graph";